> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch List



## OpenAPI

````yaml openapi.json get /card/batch
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /card/batch:
    parameters: []
    get:
      tags:
        - Card
      summary: Batch List
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: PENDING,  ACCEPTED, DECLINED
          example: PENDING
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: PHYSICAL, VIRTUAL
          example: PHYSICAL
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          schema:
            type: string
        - name: endDate
          in: query
          required: false
          schema:
            type: string
        - name: batchReference
          in: query
          required: false
          example: ACR3jORpd1lLVZmPjfiDiTQ22kK1f1JdycF8
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '301'
            ETag:
              schema:
                type: string
              example: W/"12d-YRdQlPu/CQxdyWAuDckxfzJuP0Q"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 09 Jul 2025 11:26:57 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Batch List
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalReadyBatches:
                        type: integer
                      totalPendingBatches:
                        type: integer
                      totalAcceptedBatches:
                        type: integer
                      totalDeclinedBatches:
                        type: integer
                      totalPages:
                        type: integer
                      batches:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            status:
                              type: string
                            scheme:
                              type: string
                            type:
                              type: string
                            batchReference:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            merchant:
                              type: object
                              properties:
                                id:
                                  type: string
                                businessName:
                                  type: string
              example:
                status: true
                message: Operation is successful
                data:
                  size: 50
                  page: 1
                  totalRecords: 3
                  totalReadyBatches: 2
                  totalPendingBatches: 1
                  totalAcceptedBatches: 0
                  totalDeclinedBatches: 0
                  totalPages: 1
                  batches:
                    - id: e61cecae-54e0-4bef-9578-58ac7079c90d
                      status: READY
                      scheme: VERVE
                      type: PHYSICAL
                      batchReference: zD3XQQOKMhnUYJ9t3MjBttHTIhIT0N9OYTIm
                      createdAt: '2025-09-01T00:59:05.243Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
                    - id: cfec027f-1805-4da6-a99b-3c86ee36298a
                      status: READY
                      scheme: VERVE
                      type: PHYSICAL
                      batchReference: WdfyZwAaO1gcHYDyAc4lYIawvMInR3PbwV8H
                      createdAt: '2025-09-01T00:07:34.789Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
                    - id: 8a030cf9-2b13-4442-8997-bbfc9edc7c8e
                      status: PENDING
                      scheme: VERVE
                      type: PHYSICAL
                      batchReference: ACR3jORpd1lLVZmPjfiDiTQ22kK1f1JdycF8
                      createdAt: '2025-08-18T18:42:04.905Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````